class Dungeon
{
  Dungeon()
  {
    play();
    System.out.println( "constructor" );
    play();
  }

  void play()
  {
    System.out.println( "play()" );
  }
  
  public static void main( String[] args )
  {
    System.out.println( "Before constructor" ); // Before constructor
    Dungeon d = new Dungeon();                  // play()
                                                // constructor
                                                // play()
    System.out.println( "After constructor" );  // After constructor
    d.play();                                   // play()
  }
}
